gi-atk-2.0.18: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Atk.Structs.Implementor

Contents

- Exported types
- Methods
  - refAccessible

Description

No description available in the introspection data.

Synopsis

- newtype Implementor = Implementor (ManagedPtr Implementor)
- noImplementor :: Maybe Implementor
- implementorRefAccessible :: (HasCallStack, MonadIO m) => Implementor -> m Object

# Exported types

newtype Implementor Source #

Memory-managed wrapper type.

Constructors

Implementor (ManagedPtr Implementor) |

Instances

WrappedPtr Implementor Source # |
Instance details Defined in GI.Atk.Structs.Implementor Methods wrappedPtrCalloc :: IO (Ptr Implementor) Source # wrappedPtrCopy :: Implementor -> IO Implementor Source # wrappedPtrFree :: Maybe (FunPtr (Ptr Implementor -> IO ())) Source #

noImplementor :: Maybe Implementor Source #

A convenience alias for `Nothing` :: `Maybe` `Implementor`.

# Methods

## refAccessible

implementorRefAccessible Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Implementor | `implementor`: The `Object` instance which should implement `ImplementorIface` if a non-null return value is required.
-> m Object | Returns: a reference to an object's `Object` implementation

Gets a reference to an object's `Object` implementation, if the object implements `AtkObjectIface`